/ comp / gb.opengl / gl / edgeflag
Gl.EdgeFlag (gb.opengl)
Syntax

    STATIC SUB EdgeFlag ( Flag AS Boolean )

### Flag edges as either boundary or nonboundary

#### Parameters

- Flag specifies the current edge flag value, either true or false.

#### Description

Each vertex of a polygon, separate triangle, or separate quadriliteral specified between a Gl.Begin / Gl.End pair is marked as the start of either a boundary or nonboundary edge. If the current edge flag is true when the vertex is specified, the vertex is marked as the start of a boundary edge. Otherwise, the vertex is marked as start of a nonboundary edge. Gl.EdgeFlag sets the edge flag to true if flag is nonzero, false otherwise.

The vertices of connected triangles and connected quadriliterals are always marked as boundary, regardless of the value of the edge flag. Boundary and nonboundary edge flags on vertices are significant only if Gl.PolygonMode is set to Gl.GL_POINT or Gl.GL_LINE.

Initially, the edge flag is true.

| The current edge flag can be updated at any time. In particular, Gl.EdgeFlag can be called between a call to Gl.Begin and the corresponding call to Gl.End.

#### Associated Gets

Gl.GetEdgeFlag

### See also

Gl.Begin , Gl.PolygonMode